Bug 46747 - slapd failed if line in schema.conf to long
slapd failed if line in schema.conf to long
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Listener (univention-directory-listener)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Jürn Brodersen
Felix Botner
:
Depends on: 41648 46743
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-27 11:55 CEST by Jürn Brodersen
Modified: 2018-04-04 16:35 CEST (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 7: Crash: Bug causes crash or data loss
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.400
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018032621000561
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2018-03-27 11:55:20 CEST
+++ This bug was initially created as a clone of Bug #46743 +++

+++ This bug was initially created as a clone of Bug #41648 +++

If lines in schema.conf are too long (>2048 chars) slapd does not start.

[4.3-0 a91dc1ee1e] Bug #46743: Break long lines in schema.conf
[4.3-0 d97ee93f9e] Bug #46743: test schema replication with more than 2000 characters
[4.3-0 c57ff2ab73] Bug #46743: YAML
[4.3-0 4b3b0b8a5f] Bug #46743: fix YAML
Comment 1 Jürn Brodersen univentionstaff 2018-03-28 12:09:42 CEST
[4.3-0 1807ebbb41] Bug #46747: fix YAML
Comment 2 Arvid Requate univentionstaff 2018-03-28 12:56:15 CEST
The Advisory has some kind of issue. check_errata_for_release throws an exception on it:

Traceback (most recent call last):
  File "/usr/bin/check_errata_for_release", line 436, in <module>
    ErrataChecker().main()
  File "/usr/bin/check_errata_for_release", line 292, in main
    self.process_multiple()
  File "/usr/bin/check_errata_for_release", line 333, in process_multiple
    self.process_one(fname)
  File "/usr/bin/check_errata_for_release", line 339, in process_one
    pkg.read_yaml(fname, self.args.quick)
  File "/usr/bin/check_errata_for_release", line 175, in read_yaml
    adv = load(yfile)
  File "/usr/lib/python2.7/dist-packages/yaml/__init__.py", line 71, in load
    return loader.get_single_data()
  File "/usr/lib/python2.7/dist-packages/yaml/constructor.py", line 37, in get_single_data
    node = self.get_single_node()
  File "/usr/lib/python2.7/dist-packages/yaml/composer.py", line 36, in get_single_node
    document = self.compose_document()
  File "/usr/lib/python2.7/dist-packages/yaml/composer.py", line 55, in compose_document
    node = self.compose_node(None, None)
  File "/usr/lib/python2.7/dist-packages/yaml/composer.py", line 84, in compose_node
    node = self.compose_mapping_node(anchor)
  File "/usr/lib/python2.7/dist-packages/yaml/composer.py", line 127, in compose_mapping_node
    while not self.check_event(MappingEndEvent):
  File "/usr/lib/python2.7/dist-packages/yaml/parser.py", line 98, in check_event
    self.current_event = self.state()
  File "/usr/lib/python2.7/dist-packages/yaml/parser.py", line 428, in parse_block_mapping_key
    if self.check_token(KeyToken):
  File "/usr/lib/python2.7/dist-packages/yaml/scanner.py", line 116, in check_token
    self.fetch_more_tokens()
  File "/usr/lib/python2.7/dist-packages/yaml/scanner.py", line 224, in fetch_more_tokens
    return self.fetch_alias()
  File "/usr/lib/python2.7/dist-packages/yaml/scanner.py", line 607, in fetch_alias
    self.tokens.append(self.scan_anchor(AliasToken))
  File "/usr/lib/python2.7/dist-packages/yaml/scanner.py", line 926, in scan_anchor
    % ch.encode('utf-8'), self.get_mark())
yaml.scanner.ScannerError: while scanning an alias
  in "univention-directory-replication.yaml", line 9, column 1
expected alphabetic or numeric character, but found ' '
  in "univention-directory-replication.yaml", line 9, column 2
Comment 3 Erik Damrose univentionstaff 2018-03-28 13:05:50 CEST
I saw that as well today in one of my files. The indent is wrong. fixed in cbdcb56
Comment 4 Felix Botner univentionstaff 2018-03-28 13:41:57 CEST
OK - replication with long lines
OK - ucs-test
OK - yaml
Comment 5 Philipp Hahn univentionstaff 2018-04-04 16:35:26 CEST
<http://errata.software-univention.de/ucs/4.3/10.html>